<?php

add_action( 'after_setup_theme', 'jegtheme_setup' );

function jeg_setup_setting() 
{
	// setup all setting
	$allsetting = jeg_admin_panel::getInstance()->get_all_setting();
	
	foreach($allsetting as $setting) {
		 if(!empty($setting['item'])) {
			foreach($setting['item'] as $items) {
				foreach($items as $item) {
					if($item['type'] != 'heading' || $item['type'] != 'try_email' || $item['type'] != 'arrange_slider') {
						if($item['value'] ) j_update_option($item['id'], $item['value']);
					}
				}
			}
		 }
	}
	
	// setup theme
	$basetheme = new stdClass();
	$basetheme->title = 'default';
	$basetheme->schema = 'light';
	j_update_option('thememanager', array($basetheme));
	
	// setup font
	j_update_option('heading_font'				, 'PT Sans Narrow');
	j_update_option('heading_font_variant'		, '700');
	j_update_option('heading_alt_font'			, 'Overlock');
	j_update_option('heading_alt_font_variant'	, 'italic');
	j_update_option('body_font'					, 'PT Sans Narrow');
	j_update_option('body_font_variant'			, 'regular');
	j_update_option('front_slider_font'			, 'PT Sans Narrow');
	j_update_option('front_slider_font_variant'	, 'regular');	
	
	// redirect request 
	header( 'Location: '.admin_url().'admin.php?page='.JEG_OPTION_PAGE.'&activated=true' ) ;	
}

function jegtheme_setup() 
{
	$themestatus 	= j_get_option( 'setup_status' );	
	if($themestatus !== '1') {
		global $wpdb;
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		
		// post like
		$themetable = $wpdb->prefix . JEG_SHORTNAME . '_post_like';
				
		if($wpdb->get_var("show tables like '$themetable'") != $themetable) {
			$sql = "CREATE TABLE " . $themetable . " (
				`id` bigint(11) NOT NULL AUTO_INCREMENT,
				`post_id` int(11) NOT NULL,
				`date_time` datetime NOT NULL,
				`ip` varchar(20) NOT NULL,
				`cookie` varchar(25) NOT NULL,
				PRIMARY KEY (`id`)
			)";
		}
		
		dbDelta($sql);
		
		j_update_option( 'setup_status', '1' );
		j_update_option( 'version' , JEG_VERSION );
		
		/** add default option value here **/
		jeg_setup_setting();		
	}
	
	$upgrademanager 	= j_get_option( 'upgrade_thememanager' );	
	if($upgrademanager !== '1') {
		j_convert_schema_value();	
		j_update_option( 'upgrade_thememanager' , 1 );
	}
	
}